[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# EUpdateError.Create

Create a new EUpdateError instance

## Declaration

Source position: db.pas line 90

`public constructor EUpdateError.Create(`
`NativeError: string;`
`Context: string;`
`ErrCode: Integer;`
`PrevError: Integer;`
`E: Exception`
`);`

## Arguments

`NativeError` |  | Native error description.
`Context` |  | Context in which error occurred, if applicable
`ErrCode` |  | Numerical error code, if applicable
`PrevError` |  | Previous error number
`E` |  | Actual exception object.

## Description

Create instantiates a new EUpdateError object and populates the various properties with the NativeError, Context, ErrCode and PrevError parameters. The E parameter is the actual exception that occurred while the update operation was attempted. The exception object E will be freed if the EUpdateError instance is freed.

## See also

EDatabaseError |  | Base class for all database-related errors